'''
Tests for testpurpose.py
'''

import testpurpose
from robot.api import TestSuiteBuilder

def test_create_tp():
    '''
    Test creation of a TP object
    '''
    tp_doc = ''' Test ID: X.Y.Z.Y.W
    Title: my title
    something: more'''

    ntp = testpurpose.TP(tp_doc)

    assert ntp.tp_id.strip() == "X.Y.Z.Y.W"
    assert len(ntp.tp_fields) == 3


def test_create_tp_with_no_id():
    '''
    Test creation of a TP object with no TP object
    '''
    tp_doc = ''' Test suite: My suite
    Title: my title
    something: more'''

    ntp = testpurpose.TP(tp_doc)

    assert ntp.tp_id is None
    assert len(ntp.tp_fields) == 3

def test_create_tp_sol002_config_test():
    '''
    Test TP creation for an example test from SOL002
    '''

    suite = TestSuiteBuilder().build(
        "../examples/SOL002/VNFConfiguration-API/Configuration.robot"
    )

    ntp = testpurpose.TP(suite.tests[0].doc)
    assert ntp.tp_id == "6.3.1.1.1"
    assert ntp.get_field("Test title") == "Set a new VNF Configuration"
    assert ntp.get_field("Config ID") == "Config_prod_VE"
    assert ntp.get_field("Post-Conditions") == \
        "The configuration is successfully set in the VNF and it matches the issued configuration"


